/*
 * 
 * WordPres版微信小程序
 * author: jianbo
 * organization: 守望轩  www.watch-life.net
 * github:    https://github.com/iamxjb/winxin-app-watch-life.net
 * 技术支持微信号：iamxjb
 * 开源协议：MIT
 * 
 *  *Copyright (c) 2017 https://www.watch-life.net All rights reserved.
 * * 星尘 基于微慕开源小程序二开
 * author：yinfegrui
 * organization：枫瑞博客网 www.frbkw.coms
 *星尘 技术维护微信号：qaz449275996
 */
import config from '../../utils/config.js'
var Api = require('../../utils/api.js');
var util = require('../../utils/util.js');
var Auth = require('../../utils/auth.js');
var WxParse = require('../../wxParse/wxParse.js');
var wxApi = require('../../utils/wxApi.js')
var wxRequest = require('../../utils/wxRequest.js');
var app = getApp();
var webSiteName = config.getWebsiteName;
var domain = config.getDomain

Page({

	data: {
		readLogs: [],
		readLogs2: [],
		readLogs3: [],
		requireAll: true,
		array: [1],
		showerror: "none",
		shownodata: "none",
		subscription: "",
		userInfo: {},
		userLevel: {},
		openid: '',
		isLoginPopup: false,
		webSiteName: webSiteName,
		domain: domain
	},

	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad: function (options) {
		var self = this;
		self.fenrui();
		self.pinlun();
		self.dianzan();
		Auth.setUserInfoData(self);
		Auth.checkLogin(self);

	},
	dianzan:function(){
		const openid = wx.getStorageSync('openid')
		self = this;
		self.setData({
			showerror: 'none',
			shownodata: 'none'
		});
		console.log(111);
		console.log(openid);
		var count = 0;
		self.setData({
			readLogs3: []
		});
		var getMylikePosts = wxRequest.getRequest(Api.getMyLikeUrl(openid));
		getMylikePosts.then(response => {
			if (response.statusCode == 200) {
				self.setData({
					readLogs3: self.data.readLogs.concat(response.data.data.map(function(item) {
						count++;
						item[0] = item.post_id;
						item[1] = item.post_title;
						item[2] = "0";
						return item;
					}))
				});

				if (count == 0) {
					self.setData({
						shownodata: 'block'
					});
				}
			} else {
				console.log(response);
				self.setData({
					showerror: 'block'
				});

			}
		})
	},
	fenrui: function () {
		self = this;
		const openid = wx.getStorageSync('openid');
		self.setData({
			showerror: 'none',
			shownodata: 'none'
		});
		var count = 0;
		self.setData({
			readLogs: (wx.getStorageSync('readLogs') || []).map(function (log) {
				count++;
				return log;
			})
		});
		if (count == 0) {
			self.setData({
				shownodata: 'block'
			});
		}

	},
	pinlun: function () {
		const openid = wx.getStorageSync('openid')
		self = this;
		self.setData({
			showerror: 'none',
			shownodata: 'none'
		});
		console.log(111);
		console.log(openid);
		var count = 0;
		self.setData({
			readLogs2: []
		});
		var getMyCommentsPosts = wxRequest.getRequest(Api.getWeixinComment(openid));
		getMyCommentsPosts.then(response => {
			if (response.statusCode == 200) {
				self.setData({
					readLogs2: self.data.readLogs.concat(response.data.data.map(function (item) {
						count++;
						item[0] = item.post_id;
						item[1] = item.post_title;
						return item;
					}))
				});
				if (count == 0) {
					self.setData({
						shownodata: 'block'
					});
				}
			} else {
				console.log(response);
				self.setData({
					showerror: 'block'
				});

			}
		})
	},
	onReady: function () {
		var self = this;
		Auth.checkSession(self, 'isLoginNow');
	},
	agreeGetUser: function (e) {
		let self = this;
		Auth.checkAgreeGetUser(e, app, self, '0');

	},

	refresh: function (e) {
		var self = this;
		if (self.data.openid) {
			console.log('refresh1')
			console.log(self.data.openid)
			var args = {};
			var userInfo = e.detail.userInfo;
			args.openid = self.data.openid;
			args.avatarUrl = userInfo.avatarUrl;
			args.nickname = userInfo.nickName;
			var url = Api.getUpdateUserInfo();
			var postUpdateUserInfoRequest = wxRequest.postRequest(url, args);
			postUpdateUserInfoRequest.then(res => {
				if (res.data.status == '200') {
					var userLevel = res.data.userLevel;
					wx.setStorageSync('userInfo', userInfo);
					wx.setStorageSync('userLevel', userLevel);
					self.setData({
						userInfo: userInfo
					});
					self.setData({
						userLevel: userLevel
					});
					wx.showToast({
						title: res.data.message,
						icon: 'success',
						duration: 900,
						success: function () {}
					})
				} else {
					wx.showToast({
						title: res.data.message,
						icon: 'success',
						duration: 900,
						success: function () {}
					})
				}
			});
		} else {
			Auth.checkSession(self, 'isLoginNow');
			console.log('refresh2')
			console.log(self.data.openid)
		}

	},

	exit: function (e) {

		Auth.logout(this);
		wx.reLaunch({
			url: '../index/index'
		})
	},
	clear: function (e) {

		Auth.logout(this);

	},
	requireTxt: function () {
		var self = this;
		let requireAll = self.data.requireAll;
		self.data.requireAll ? requireAll = false : requireAll = true
		self.setData({
			requireAll: requireAll
		})
	},
	requireTxt2: function () {
		var self = this;
		let requireAll2 = self.data.requireAll;
		self.data.requireAll2 ? requireAll2 = false : requireAll2 = true
		self.setData({
			requireAll2: requireAll2
		})
	},
	// 跳转至查看文章详情
	redictDetail: function (e) {
		// console.log('查看文章');
		var id = e.currentTarget.id;
		var itemtype = e.currentTarget.dataset.itemtype;
		var url = "";
		if (itemtype == "1") {
			url = '../list/list?categoryID=' + id;
		} else {
			url = '../detail/detail?id=' + id;

		}

		wx.navigateTo({
			url: url
		})
	},

	onShareAppMessage: function () {
		var title = "分享我在“" + config.getWebsiteName + "浏览、评论、点赞、鼓励的文章";
		var path = "pages/readlog/readlog";
		return {
			title: title,
			path: path,
			success: function (res) {
				// 转发成功
			},
			fail: function (res) {
				// 转发失败
			}
		}
	},
	closeLoginPopup() {
		this.setData({
			isLoginPopup: false
		});
	},
	openLoginPopup() {
		this.setData({
			isLoginPopup: true
		});
	},
	confirm: function () {
		this.setData({
			'dialog.hidden': true,
			'dialog.title': '',
			'dialog.content': ''
		})
	}
})