/*
 * 
 * WordPres版微信小程序
 * author: jianbo
 * organization: 守望轩  www.watch-life.net
 * github:    https://github.com/iamxjb/winxin-app-watch-life.net
 * 技术支持微信号：iamxjb
 * 开源协议：MIT
 * Copyright (c) 2017 https://www.watch-life.net All rights reserved.
 * * 星尘 基于微慕开源小程序二开
 * author：yinfegrui
 * organization：枫瑞博客网 www.frbkw.coms
  *星尘 技术维护微信号：qaz449275996
 */



//配置域名,域名只修改此处。
//如果wordpress没有安装在网站根目录请加上目录路径,例如："www.watch-life.net/blog"
var DOMAIN = "www.frbkw.com";
var WEBSITENAME="枫瑞博客"; //网站名称
var PAGECOUNT='10'; //每页文章数目
var PAYTEMPPLATEID = 'mWQiLY1Ei1l0xmMRGpIaksZKHOKMPkssUs06yOtbzdg';//鼓励消息模版id
var REPLAYTEMPPLATEID = 'K4znbR0zIPUqpopc3dcOF0nzFd2MjxMcRD78gnWVLJQ';//回复评论消息模版id
var ZANIMAGEURL = 'https://www.frbkw.com/wp-content/uploads/2020/04/yinfengrui.png';//微信鼓励的图片链接，用于个人小程序的赞赏
var LOGO = "../../images/logo-icon.png"; // 网站的logo图片
//设置downloadFile合法域名,不带https ,在中括号([])里增加域名，格式：{id=**,domain:'www.**.com'}，用英文逗号分隔。
//此处设置的域名和小程序与小程序后台设置的downloadFile合法域名要一致。
//枫瑞博客提示：thirdwx.qlogo.cn和wx.qlogo.cn域名请勿修改
var DOWNLOADFILEDOMAIN = [
    { id: 1, domain: 'frbkw.com'},
    { id: 2, domain: 'www.frbkw.com' },
    { id: 3, domain: 'thirdwx.qlogo.cn'},
    { id: 4, domain: 'wx.qlogo.cn'}

];
 //首页图标导航
 //参数说明：'name'为名称，'image'为图标路径，'url'为跳转的页面，'redirecttype'为跳转的类型，apppage为本小程序的页面，miniapp为其他微信小程序,webpage为web-view的页面
 //redirecttype 是 miniapp 就是跳转其他小程序  url 为其他小程序的页面
 //redirecttype 为 apppage 就是跳转本小程序的页面，url为本小程序的页面路径
 //redirecttype 为 webpage 是跳转网址，是通过web-view打开网址，url就是你要打开的网址，不过这个网址的域名要是业务域名
 //'appid' 当redirecttype为miniapp时，这个值为其他微信小程序的appid，如果redirecttype为apppage，webpage时，这个值设置为空。
 //'extraData'当redirecttype为miniapp时，这个值为提交到其他微信小程序的参数，如果redirecttype为apppage，webpage时，这个值设置为空。
var INDEXNAV = [
  { id: '1', name: '热门排行', image: '../../static/index/1.png', url: '../hot/hot', redirecttype: 'apppage', appid: '', extraData: '' },
  { id: '5', name: '搜索文章', image: '../../static/index/2.png', url: '../search/search', redirecttype: 'apppage', appid: '', extraData: '' },
  { id: '6', name: 'uni教程', image: '../../static/index/3.png', url: '../list/list?search=uni', redirecttype: 'apppage', appid: '', extraData: '' },
  // { id: '7', name: '小程序', image: '../../images/uploads/miniprogram.png', url: '../list/list?categoryID=1059', redirecttype: 'apppage', appid: '', extraData: '' },
  // { id: '8', name: '访问官网', image: '../../static/index/3.png', url: 'https://www.frbkw.com', redirecttype: 'webpage', appid: '', extraData: '' },
  // { id: '9', name: '言论', image: '../../images/uploads/comment.png', url: '../comments/comments', redirecttype: 'apppage', appid: '', extraData: '' },
  { id: '10', name: '关于星尘', image: '../../static/index/4.png', url: '../about/about', redirecttype: 'apppage', appid: '', extraData: '' }
  
];



export default {
  getDomain: DOMAIN,
  getWebsiteName: WEBSITENAME,  
  getPayTemplateId: PAYTEMPPLATEID,
  getPageCount: PAGECOUNT,
  getIndexNav: INDEXNAV,
  getReplayTemplateId: REPLAYTEMPPLATEID,  
  getZanImageUrl: ZANIMAGEURL, 
  getLogo: LOGO,
  getDownloadFileDomain: DOWNLOADFILEDOMAIN
}